Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class ObsMatrix

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.ObsMatrix

    public class ObsMatrix

extends Object

Represents a matrix of observations concerning a specific type of performance measure.

Nested Class Summary
`static class` | `ObsMatrix.Obs` Java class for anonymous complex type.

Field Summary
`protected String` | `measure`
`protected List<ObsMatrix.Obs>` | `obs`

Constructor Summary
`ObsMatrix()`

Method Summary
`String` | `getMeasure()` Gets the value of the measure property.
`List<ObsMatrix.Obs>` | `getObs()` Gets the value of the obs property.
`boolean` | `isSetMeasure()`
`boolean` | `isSetObs()`
`void` | `setMeasure(String value)` Sets the value of the measure property.
`void` | `unsetObs()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### obs

    protected List<ObsMatrix.Obs> obs

### measure

    protected String measure

Constructor Detail

### ObsMatrix

    public ObsMatrix()

Method Detail

### getObs

    public List<ObsMatrix.Obs> getObs()

  Gets the value of the obs property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the obs property.

  For example, to add a new item, do as follows:

          getObs().add(newItem);

  Objects of the following type(s) are allowed in the list `ObsMatrix.Obs`

### isSetObs

    public boolean isSetObs()

### unsetObs

    public void unsetObs()

### getMeasure

    public String getMeasure()

  Gets the value of the measure property.

  Returns:
    possible object is `String`

### setMeasure

    public void setMeasure(String value)

  Sets the value of the measure property.

  Parameters:
    `value` - allowed object is `String`

### isSetMeasure

    public boolean isSetMeasure()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.